<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    
     <link rel="stylesheet" href="/css/stylepageFormulaire.css">
         
    <title>Bienvenue sur notre page d'inscription</title>
</head>

<body>
    <header>
        <!-- Image and text -->
        <nav class="navbar navbar-expand-sm justify-content-center navbar-light bg-light">
            <a href="/" class="navbar-brand">
                <img src="userlogo.jpg" alt="logo de connexion" width="60" height="60" 
                        class="d-inline-block align-top img-center">
            </a>
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="/users">Liste des utilisateurs</a>
                </li>
               
            </ul>

        </nav>
    </header>

    <main class="container-fluid">
        <section id="titre">
             <h1>Rejoignez notre communauté!</h1>
             <p>Inscrivez-vous en remplissant le formulaire ci-dessous</p>
        </section>
       

        <form method="post" action="/" id="form-container"
            class="needs-validation col-lg-6" novalidate>

            <article class="form-group">
                <label for="userName">Nom: </label>
                <input type="text" class="form-control" id="userName" name="userName" placeholder="Entrez votre nom"
                    required>
                    <div class="valid-feedback">Validé</div>
                    <div class="invalid-feedback">Merci de remplir les champs demandés.</div>
            </article>
            <article class="form-group ">
                <label for="userForename">Prénom: </label>
                <input type="text" class="form-control"  id=" userForename" name="userForename"
                    required
                placeholder="Entrez votre prénom">
                <div class="valid-feedback">Validé</div>
                <div class="invalid-feedback">Merci de remplir les champs demandés.</div>
            </article>
            <article class="form-inline form-group">
                <label for="userCity">Ville: </label>
                <input type="text" class="form-control"  id="userCity" name="userCity" required
                placeholder="Entrez votre ville">
                <label for="userZipCode">Code Postal: </label>
                <input type="text" pattern="[0-9]*" class="form-control" id="userZipCode" name="userZipCode" required
                placeholder="Entrez votre code postal">
                <div class="valid-feedback">Validé</div>
                <div class="invalid-feedback">Merci de remplir les champs demandés.</div>
            </article>
            <article class="form-group">
                <label for="userPassword">Mot de passe: </label>
                <input type="password" class="form-control" id="userPassword" name="userPassword" required
                placeholder="Entrez votre mot de passe">
                <div class="valid-feedback">Validé</div>
                <div class="invalid-feedback">Merci de remplir les champs demandés.</div>
            </article>
             <button type="submit" class="btn btn-primary mb-2">Envoyer</button>

        </form>
    </main>
    
    <!-- Footer -->
    <footer class="page-footer font-small ">
        <article class="footer-copyright text-center py-3">© 2018 Copyright : APITry</article>

    </footer>

    
</body>
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

<!-- Popper JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>

<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>



<script>
    // Disable form submissions if there are invalid fields
    (function () {
        'use strict';
        window.addEventListener('load', function () {
            // Get the forms we want to add validation styles to
            var forms = document.getElementsByClassName('needs-validation');
            // Loop over them and prevent submission
            var validation = Array.prototype.filter.call(forms, function (form) {
                form.addEventListener('submit', function (event) {
                    if (form.checkValidity() === false) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    form.classList.add('was-validated');
                }, false);
            });
        }, false);
    })();
</script>
</html>